## com.lowagie.tools.plugins
Class InspectPDF

    java.lang.Object
      com.lowagie.tools.plugins.AbstractTool
          com.lowagie.tools.plugins.InspectPDF

All Implemented Interfaces:
  ToolMenuItems, java.awt.event.ActionListener, java.util.EventListener

    public class InspectPDF

extends AbstractTool

Allows you to inspect an existing PDF file.

Field Summary

Fields inherited from class com.lowagie.tools.plugins.AbstractTool
`arguments, internalFrame, MENU_EXECUTE, MENU_EXECUTE_PRINT, MENU_EXECUTE_PRINT_SILENT, MENU_EXECUTE_SHOW, menuoptions, versionsarray`

Fields inherited from interface com.lowagie.tools.ToolMenuItems
`ABOUT, ARGUMENTS, CLOSE, EXECUTE, EXECUTEPRINT, EXECUTEPRINTSILENT, EXECUTESHOW, FILE, HELP, TOOL, TOOLS, USAGE, VERSION`

Constructor Summary
`InspectPDF()` Constructs an InpectPDF object.

Method Summary
`protected void` `createFrame()` Creates the internal frame.
`void` `execute()` Executes the tool (in most cases this generates a PDF file).
`protected java.io.File` `getDestPathPDF()` Gets the PDF file that should be generated (or null if the output isn't a PDF file).
`static void` `main(java.lang.String[] args)` Inspects an existing PDF file.
`void` `valueHasChanged(ToolArgument arg)` Indicates that the value of an argument has changed.

Methods inherited from class com.lowagie.tools.plugins.AbstractTool
`actionPerformed, addVersion, getArgs, getArguments, getInternalFrame, getMenubar, getUsage, getValue, setArguments, setArguments, setInternalFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InspectPDF

    public InspectPDF()

  Constructs an InpectPDF object.

Method Detail

### createFrame

    protected void createFrame()

  Description copied from class: `AbstractTool`
  Creates the internal frame.

  Specified by:
    `createFrame` in class `AbstractTool`
  See Also:
    `AbstractTool.createFrame()`

### execute

    public void execute()

  Description copied from class: `AbstractTool`
  Executes the tool (in most cases this generates a PDF file).

  Specified by:
    `execute` in class `AbstractTool`
  See Also:
    `AbstractTool.execute()`

### valueHasChanged

    public void valueHasChanged(ToolArgument arg)

  Description copied from class: `AbstractTool`
  Indicates that the value of an argument has changed.

  Specified by:
    `valueHasChanged` in class `AbstractTool`
  Parameters:
    `arg` - the argument that has changed
  See Also:
    `AbstractTool.valueHasChanged(com.lowagie.tools.arguments.ToolArgument)`

### main

    public static void main(java.lang.String[] args)

  Inspects an existing PDF file.

  Parameters:
    `args` -

### getDestPathPDF

    protected java.io.File getDestPathPDF()
                                   throws java.lang.InstantiationException

  Description copied from class: `AbstractTool`
  Gets the PDF file that should be generated (or null if the output isn't a PDF file).

  Specified by:
    `getDestPathPDF` in class `AbstractTool`
  Returns:
    the PDF file that should be generated
  Throws:
    `java.lang.InstantiationException`
  See Also:
    `AbstractTool.getDestPathPDF()`